/**
 * @file
 * Utility functions to display settings summaries on vertical tabs.
 */

(function ($) {

Drupal.behaviors.shipwireAdminFieldsetSummaries = {
  attach: function (context) {
    $('fieldset#edit-uc-shipwire-credentials', context).drupalSetSummary(function(context) {
      var server = $('#edit-uc-shipwire-server', context).val();
      return Drupal.t('Using Shipwire @role server', { '@role': server });
    });
  }
};

})(jQuery);
